This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 813916 - CentOS-5.8 RPM error rpmlib(PayloadIsLzma) is needed by opera-11.62-1347.x86_64
CentOS-5.8 RPM error rpmlib(PayloadIsLzma) is needed by opera-11.62-1347.x86_64
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum (Show other bugs)
5.9
x86_64 Linux
unspecified Severity unspecified
: rc
: ---
Assigned To: James Antill
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-18 14:32 EDT by James B. Byrne
Modified: 2014-01-21 01:25 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-23 14:26:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description James B. Byrne 2012-04-18 14:32:40 EDT
Description of problem:

Installing opera-11.62-1347.x86_64.rpm via yum localinstall --nogpgcheck fails

Version-Release number of selected component (if applicable):
3.2.22

How reproducible:

Fails every time

Steps to Reproduce:
1. yum localinstall /tmp/opera-11.62-1347.x86_64.rpm --nogpgcheck
  
Actual results:

================================================================================
Installing:
 opera      x86_64      2:11.62-1347        /opera-11.62-1347.x86_64       39 M

Transaction Summary
================================================================================
Install       1 Package(s)
Upgrade       0 Package(s)

Total size: 39 M
Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
ERROR with rpm_check_debug vs depsolve:
rpmlib(PayloadIsLzma) is needed by opera-11.62-1347.x86_64
Complete!
(1, [u'Please report this error in https://bugzilla.redhat.com/enter_bug.cgi?product=Red%20Hat%20Enterprise%20Linux%205&component=yum'])

Expected results:

.  .  .
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
  Updating   : opera-11.62-1347.x86_64                                    1/2 
  Installing : opera-11.62-1347.x86_64                                    2/2 

Installed:
  opera-11.62-1347.x86_64                                            
                                 

Complete!


Additional info:

None
Comment 1 James B. Byrne 2012-04-18 14:44:46 EDT
This in not a bug.  Further research uncovers that the compression scheme used by the Opera maintainers is not supported on RedHat platforms.  Repackaging using rpmrebuild is a suggested workaround.

Note You need to log in before you can comment on or make changes to this bug.